/* Global / Desktop grid layouts */

.grid {
    display: flex;
    flex-flow: row wrap;
}

.grid .grid-cell {
    display: flex;
    flex-direction: column;
}

/* Individual sizes */
.grid-1-1,
.grid-2-2,
.grid-3-3,
.grid-4-4,
.grid-5-5,
.grid-6-6,
.grid-7-7,
.grid-8-8,
.grid-9-9,
.grid-10-10,
.grid-11-11,
.grid-12-12 {
    width: 100%;
}

.grid-11-12 {
    width: 91.66667%;
}

.grid-10-11 {
    width: 90.90909%;
}

.grid-9-10 {
    width: 90%;
}

.grid-8-9 {
    width: 88.88888%;
}

.grid-7-8 {
    width: 87.5%;
}

.grid-6-7 {
    width: 85.74129%;
}

.grid-5-6,
.grid-10-12 {
    width: 83.33333%;
}

.grid-9-11 {
    width: 81.81818%;
}

.grid-4-5,
.grid-8-10 {
    width: 80%;
}

.grid-7-9 {
    width: 77.77777%;
}

.grid-3-4,
.grid-6-8,
.grid-9-12 {
    width: 75%;
}

.grid-8-11 {
    width: 72.72727%;
}

.grid-5-7 {
    width: 71.42857%;
}

.grid-7-10 {
    width: 70%;
}

.grid-2-3,
.grid-4-6,
.grid-6-9,
.grid-8-12 {
    width: 66.66667%;
}

.grid-7-11 {
    width: 63.63636%;
}

.grid-5-8 {
    width: 62.5%;
}

.grid-3-5,
.grid-6-10 {
    width: 60%;
}

.grid-7-12 {
    width: 58.33333%;
}

.grid-5-9 {
    width: 55.55555%;
}

.grid-4-7 {
    width: 57.14286%;
}

.grid-6-11 {
    width: 54.54545%;
}

.grid-1-2,
.grid-2-4,
.grid-3-6,
.grid-4-8,
.grid-5-10,
.grid-6-12 {
    width: 50%;
}

.grid-5-11 {
    width: 45.45455%;
}

.grid-4-9 {
    width: 44.44444%;
}

.grid-3-7 {
    width: 42.85714%;
}

.grid-5-12 {
    width: 41.66667%;
}

.grid-2-5,
.grid-4-10 {
    width: 40%;
}

.grid-3-8 {
    width: 37.5%;
}

.grid-4-11 {
    width: 36.36364%;
}

.grid-1-3,
.grid-2-6,
.grid-3-9,
.grid-4-12 {
    width: 33.33333%;
}

.grid-3-10 {
    width: 30%;
}

.grid-2-7 {
    width: 28.57142%;
}

.grid-3-11 {
    width: 27.27273%;
}

.grid-1-4,
.grid-2-8,
.grid-3-12 {
    width: 25%;
}

.grid-2-9 {
    width: 22.22222%;
}

.grid-1-5,
.grid-2-10 {
    width: 20%;
}

.grid-2-11 {
    width: 18.18182%;
}

.grid-1-6,
.grid-2-12 {
    width: 16.66667%;
}

.grid-1-7 {
    width: 14.28571%;
}

.grid-1-8 {
    width: 12.5%;
}

.grid-1-9 {
    width: 11.11111%;
}

.grid-1-10 {
    width: 10%;
}

.grid-1-11 {
    width: 9.09091%;
}

.grid-1-12 {
    width: 8.33333%;
}
